/*
Nome: Mario
Cognome: Montanari
Classe: 3AIN
Data: 10/04/2025

es14. (numeri)
Scrivere un programma che memorizzi in un file di testo e su
una sola linea i primi 15 numeri pari separati da uno spazio.
*/

#include <iostream>

#define SIZE_LINE 1000+1

using namespace std;

void numeriPari(const char * nomeFile);

int main(void) {
	numeriPari("numeri.txt");
	
	return 0;
}

void numeriPari(const char * nomeFile) {
	FILE * fp = fopen(nomeFile, "wt");
	
	if (fp != NULL) {
		char *ptr;
		char str[SIZE_LINE];
		
		for (int i = 1; i <= 15; i++) {
			fprintf(fp, "%d ", i * 2);
		}
		
		fclose(fp);
	} else {
		perror("Error (source)");
	}
}